﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.com/gitea/1.21.0/gitea-1.21.0-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.com/gitea/1.21.0/gitea-1.21.0-windows-4.0-amd64.exe'

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '2e56e6ac50b2b551bc2763931c59e1f33161388546ea1760610f1c17bda4ff64'
  checksumType  = 'sha256'
  checksum64    = '31d89fc611056ace2ac6d2ed9c3fa23ae4b4ed918e212a60fa4fb0ea00dc063f'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
